summaryrefslogtreecommitdiffstats
path: root/jjb/tldk
diff options
context:
space:
mode:
authorKarol Latecki <karolx.latecki@intel.com>2016-10-25 10:07:48 +0200
committerKarol Latecki <karolx.latecki@intel.com>2016-10-25 10:40:24 +0200
commit486588e7a8095791b81a4ac8bd0062e2297a61ee (patch)
tree7fb226000588a62d9d7352babd0cb9d1e4146be8 /jjb/tldk
parent4b7741a6745fb4382f3c632a7959eac52919d27f (diff)
Add dependencies for tldk jjb
tldk needs googletest to compile and run its unit test application Change-Id: I73b666114dbcde88fc8a25daf14dfdf3c1661fc5 Signed-off-by: Karol Latecki <karolx.latecki@intel.com>
Diffstat (limited to 'jjb/tldk')
-rw-r--r--jjb/tldk/gtest-build.sh13
-rw-r--r--jjb/tldk/include-raw-build.sh8
-rw-r--r--jjb/tldk/tldk.yaml8
3 files changed, 29 insertions, 0 deletions
diff --git a/jjb/tldk/gtest-build.sh b/jjb/tldk/gtest-build.sh
new file mode 100644
index 000000000..dc66908e7
--- /dev/null
+++ b/jjb/tldk/gtest-build.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+# basic build script example
+set -e -o pipefail
+set -x
+echo $WORKSPACE
+git clone https://github.com/google/googletest.git $WORKSPACE/googletest
+cmake $WORKSPACE/googletest/CMakeLists.txt
+echo GTEST_DIR=$WORKSPACE/googletest/googletest > gtest-env.prop
+echo GMOCK_DIR=$WORKSPACE/googletest/googlemock >> gtest-env.prop
+
+echo "*******************************************************************"
+echo "* GTEST BUILD SUCCESSFULLY COMPLETED"
+echo "*******************************************************************"
diff --git a/jjb/tldk/include-raw-build.sh b/jjb/tldk/include-raw-build.sh
index f4ba63b63..417a1deca 100644
--- a/jjb/tldk/include-raw-build.sh
+++ b/jjb/tldk/include-raw-build.sh
@@ -28,8 +28,16 @@ fi
echo "sha1sum of this script: ${0}"
sha1sum $0
+# Make TLDK
make
echo "*******************************************************************"
echo "* TLDK BUILD SUCCESSFULLY COMPLETED"
echo "*******************************************************************"
+
+# Run unit tests application
+$WORKSPACE/x86_64-native-linuxapp-gcc/app/gtest-rfc --lcores=0 -n 2
+
+echo "*******************************************************************"
+echo "* TLDK UNIT TESTS SUCCESSFUL
+echo "*******************************************************************"
diff --git a/jjb/tldk/tldk.yaml b/jjb/tldk/tldk.yaml
index f0ad3fbc4..cc44a7220 100644
--- a/jjb/tldk/tldk.yaml
+++ b/jjb/tldk/tldk.yaml
@@ -105,6 +105,10 @@
builders:
- shell:
+ !include-raw-escape: gtest-build.sh
+ - inject:
+ properties-file: gtest-env.prop
+ - shell:
!include-raw-escape: include-raw-build.sh
- job-template:
@@ -144,4 +148,8 @@
builders:
- shell:
+ !include-raw-escape: gtest-build.sh
+ - inject:
+ properties-file: gtest-env.prop
+ - shell:
!include-raw-escape: include-raw-build.sh